### Hierarchy

- LabeledBox
  - PredictedBox

## Index

### Constructors

- constructor

### Accessors

- area
- bottom
- bottomLeft
- bottomRight
- classScore
- height
- label
- left
- right
- score
- top
- topLeft
- topRight
- width
- x
- y

### Methods

- calibrate
- clipAtImageBorders
- floor
- pad
- padAtBorders
- rescale
- round
- shift
- toSquare
- assertIsValidBox
- assertIsValidLabeledBox
- assertIsValidPredictedBox
- isRect

## Constructors

### constructor

- new PredictedBox(box: any, label: number, score: number, classScore: number): PredictedBox

- Overrides LabeledBox.constructor

  - Defined in classes/PredictedBox.ts:20

  #### Parameters

  - ##### box: any

  - ##### label: number

  - ##### score: number

  - ##### classScore: number

  #### Returns PredictedBox

## Accessors

### area

- get area(): number

- - Defined in classes/Box.ts:70

  #### Returns number

### bottom

- get bottom(): number

- - Defined in classes/Box.ts:68

  #### Returns number

### bottomLeft

- get bottomLeft(): Point

- - Defined in classes/Box.ts:76

  #### Returns Point

### bottomRight

- get bottomRight(): Point

- - Defined in classes/Box.ts:78

  #### Returns Point

### classScore

- get classScore(): number

- - Defined in classes/PredictedBox.ts:30

  #### Returns number

### height

- get height(): number

- - Defined in classes/Box.ts:60

  #### Returns number

### label

- get label(): number

- - Defined in classes/LabeledBox.ts:22

  #### Returns number

### left

- get left(): number

- - Defined in classes/Box.ts:62

  #### Returns number

### right

- get right(): number

- - Defined in classes/Box.ts:66

  #### Returns number

### score

- get score(): number

- - Defined in classes/PredictedBox.ts:28

  #### Returns number

### top

- get top(): number

- - Defined in classes/Box.ts:64

  #### Returns number

### topLeft

- get topLeft(): Point

- - Defined in classes/Box.ts:72

  #### Returns Point

### topRight

- get topRight(): Point

- - Defined in classes/Box.ts:74

  #### Returns Point

### width

- get width(): number

- - Defined in classes/Box.ts:58

  #### Returns number

### x

- get x(): number

- - Defined in classes/Box.ts:54

  #### Returns number

### y

- get y(): number

- - Defined in classes/Box.ts:56

  #### Returns number

## Methods

### calibrate

- calibrate(region: Box<any>): Box<any>

- Inherited from LabeledBox.calibrate

  - Defined in classes/Box.ts:197

  #### Parameters

  - ##### region: Box<any>

  #### Returns Box<any>

### clipAtImageBorders

- clipAtImageBorders(imgWidth: number, imgHeight: number): Box<LabeledBox>

- Inherited from LabeledBox.clipAtImageBorders

  - Defined in classes/Box.ts:136

  #### Parameters

  - ##### imgWidth: number

  - ##### imgHeight: number

  #### Returns Box<LabeledBox>

### floor

- floor(): Box<LabeledBox>

- Inherited from LabeledBox.floor

  - Defined in classes/Box.ts:88

  #### Returns Box<LabeledBox>

### pad

- pad(padX: number, padY: number): Box<LabeledBox>

- Inherited from LabeledBox.pad

  - Defined in classes/Box.ts:124

  #### Parameters

  - ##### padX: number

  - ##### padY: number

  #### Returns Box<LabeledBox>

### padAtBorders

- padAtBorders(imageHeight: number, imageWidth: number): { dx: number; dy: number; edx: number; edy: number; ex: number; ey: number; h: number; w: number; x: number; y: number }

- Inherited from LabeledBox.padAtBorders

  - Defined in classes/Box.ts:161

  #### Parameters

  - ##### imageHeight: number

  - ##### imageWidth: number

  #### Returns { dx: number; dy: number; edx: number; edy: number; ex: number; ey: number; h: number; w: number; x: number; y: number }

  - ##### dx: number

  - ##### dy: number

  - ##### edx: number

  - ##### edy: number

  - ##### ex: number

  - ##### ey: number

  - ##### h: number

  - ##### w: number

  - ##### x: number

  - ##### y: number

### rescale

- rescale(s: number | IDimensions): Box<LabeledBox>

- Inherited from LabeledBox.rescale

  - Defined in classes/Box.ts:113

  #### Parameters

  - ##### s: number | IDimensions

  #### Returns Box<LabeledBox>

### round

- round(): Box<LabeledBox>

- Inherited from LabeledBox.round

  - Defined in classes/Box.ts:80

  #### Returns Box<LabeledBox>

### shift

- shift(sx: number, sy: number): Box<LabeledBox>

- Inherited from LabeledBox.shift

  - Defined in classes/Box.ts:151

  #### Parameters

  - ##### sx: number

  - ##### sy: number

  #### Returns Box<LabeledBox>

### toSquare

- toSquare(): Box<LabeledBox>

- Inherited from LabeledBox.toSquare

  - Defined in classes/Box.ts:96

  #### Returns Box<LabeledBox>

### Static assertIsValidBox

- assertIsValidBox(box: any, callee: string, allowNegativeDimensions?: boolean): void

- Inherited from LabeledBox.assertIsValidBox

  - Defined in classes/Box.ts:12

  #### Parameters

  - ##### box: any

  - ##### callee: string

  - ##### allowNegativeDimensions: boolean = false

  #### Returns void

### Static assertIsValidLabeledBox

- assertIsValidLabeledBox(box: any, callee: string): void

- Inherited from LabeledBox.assertIsValidLabeledBox

  - Defined in classes/LabeledBox.ts:7

  #### Parameters

  - ##### box: any

  - ##### callee: string

  #### Returns void

### Static assertIsValidPredictedBox

- assertIsValidPredictedBox(box: any, callee: string): void

- - Defined in classes/PredictedBox.ts:7

  #### Parameters

  - ##### box: any

  - ##### callee: string

  #### Returns void

### Static isRect

- isRect(rect: any): boolean

- Inherited from LabeledBox.isRect

  - Defined in classes/Box.ts:8

  #### Parameters

  - ##### rect: any

  #### Returns boolean